%define upstream_name    Curses
%define upstream_version 1.36

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl module for character screen handling and windowing
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://search.cpan.org/CPAN/authors/id/G/GI/GIRAFFED/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: libncursesw-devel
BuildRequires: perl-devel
%description
Curses is the interface between Perl and your system's curses(3) library.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor MENUS PANELS FORMS
%make CFLAGS="%{optflags}"
chmod 644 Artistic Copying INSTALL README HISTORY MAINTENANCE

%install
rm -rf %buildroot
%make_install

chmod 0755 %buildroot/usr/lib/perl5/vendor_perl/5.22.3/x86_64-linux-thread-multi/auto/Curses/Curses.so

%files
%doc HISTORY INSTALL MAINTENANCE META.yml MYMETA.yml README demo
%{perl_vendorarch}/auto/Curses
%{perl_vendorarch}/Curses*
%{_mandir}/*/*

%changelog
* Wed Aug 09 2017 bb2 <bb2> 1.360.0-1pclos2017
- new version
